List Tokens
Returns a list of all ERC-20 tokens for a specified EVM chain, including their contract addresses, symbols, names, and decimal places. Results can be filtered by symbol or name and paginated using `limit` and `offset`.
GET
https://api.cambrian.org/evm/tokens
Parameters
chain_id (integer)
EVM chain ID.
filter (string)
Search symbol or name of the token
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "tokenAddress",
"type": "String"
},
{
"name": "tokenSymbol",
"type": "String"
},
{
"name": "tokenName",
"type": "String"
},
{
"name": "tokenDecimals",
"type": "UInt8"
},
{
"name": "isStable",
"type": "UInt8"
}
],
"data": [
[
8453,
"0x307a0926d788d9d43ca6a70d28bd617abaa3bd9d",
"AAA",
"AAA",
18,
0
],
[
8453,
"0xa18bfe67e90afb6146934eda5bab47e039a240a4",
"AAA",
"AA",
18,
0
],
[
8453,
"0xa7477167c142e2289cf057cbf8f9198632e98cd3",
"AAA",
"AAA",
18,
0
],
[
8453,
"0xb6519dda5826bc69dcc1ec381cc6a955f6183438",
"AAA",
"ANation",
18,
0
],
[
8453,
"0x53b83bb2e34b6b7331a8e05f6a0ebbee3145be9c",
"AAA",
"AAA",
18,
0
],
[
8453,
"0xabc1e9a532e22fd41f5c22974f50e3b141b9f0ef",
"AAA",
"Arcadia Finance",
18,
0
],
[
8453,
"0x6f511fe8ead9dad1d856171bbd8af7d30f8baf8f",
"AAA",
"Aiagent.app",
18,
0
],
[
8453,
"0x03274961d473fa0bba49768d47dc7cc3fcca2969",
"AAA",
"TRIPLE A",
18,
0
],
[
8453,
"0x1e95c00b02451de72c319f2fe1734c5f4c4d1f94",
"AAA",
"AAA BASE",
18,
0
],
[
8453,
"0x0af265e2ada88a3936a409c5759e9da1fe916d8a",
"AAA",
"AAA",
18,
0
]
],
"rows": 10
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. List Tokens on Base
Retrieves a list of ERC-20 tokens on the Base chain, limited to 10 results.
curl
curl -X GET "https://api.cambrian.org/evm/tokens?limit=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "tokenAddress",
10 "type": "String"
11 },
12 {
13 "name": "tokenSymbol",
14 "type": "String"
15 },
16 {
17 "name": "tokenName",
18 "type": "String"
19 },
20 {
21 "name": "tokenDecimals",
22 "type": "UInt8"
23 },
24 {
25 "name": "isStable",
26 "type": "UInt8"
27 }
28 ],
29 "data": [
30 [
31 8453,
32 "0x307a0926d788d9d43ca6a70d28bd617abaa3bd9d",
33 "AAA",
34 "AAA",
35 18,
36 0
37 ],
38 [
39 8453,
40 "0xa18bfe67e90afb6146934eda5bab47e039a240a4",
41 "AAA",
42 "AA",
43 18,
44 0
45 ],
46 [
47 8453,
48 "0xa7477167c142e2289cf057cbf8f9198632e98cd3",
49 "AAA",
50 "AAA",
51 18,
52 0
53 ],
54 [
55 8453,
56 "0xb6519dda5826bc69dcc1ec381cc6a955f6183438",
57 "AAA",
58 "ANation",
59 18,
60 0
61 ],
62 [
63 8453,
64 "0x53b83bb2e34b6b7331a8e05f6a0ebbee3145be9c",
65 "AAA",
66 "AAA",
67 18,
68 0
69 ],
70 [
71 8453,
72 "0xabc1e9a532e22fd41f5c22974f50e3b141b9f0ef",
73 "AAA",
74 "Arcadia Finance",
75 18,
76 0
77 ],
78 [
79 8453,
80 "0x6f511fe8ead9dad1d856171bbd8af7d30f8baf8f",
81 "AAA",
82 "Aiagent.app",
83 18,
84 0
85 ],
86 [
87 8453,
88 "0x03274961d473fa0bba49768d47dc7cc3fcca2969",
89 "AAA",
90 "TRIPLE A",
91 18,
92 0
93 ],
94 [
95 8453,
96 "0x1e95c00b02451de72c319f2fe1734c5f4c4d1f94",
97 "AAA",
98 "AAA BASE",
99 18,
100 0
101 ],
102 [
103 8453,
104 "0x0af265e2ada88a3936a409c5759e9da1fe916d8a",
105 "AAA",
106 "AAA",
107 18,
108 0
109 ]
110 ],
111 "rows": 10
112 }
113]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "tokenAddress",
10 "type": "String"
11 },
12 {
13 "name": "tokenSymbol",
14 "type": "String"
15 },
16 {
17 "name": "tokenName",
18 "type": "String"
19 },
20 {
21 "name": "tokenDecimals",
22 "type": "UInt8"
23 },
24 {
25 "name": "isStable",
26 "type": "UInt8"
27 }
28 ],
29 "data": [
30 [
31 8453,
32 "0x307a0926d788d9d43ca6a70d28bd617abaa3bd9d",
33 "AAA",
34 "AAA",
35 18,
36 0
37 ],
38 [
39 8453,
40 "0xa18bfe67e90afb6146934eda5bab47e039a240a4",
41 "AAA",
42 "AA",
43 18,
44 0
45 ],
46 [
47 8453,
48 "0xa7477167c142e2289cf057cbf8f9198632e98cd3",
49 "AAA",
50 "AAA",
51 18,
52 0
53 ],
54 [
55 8453,
56 "0xb6519dda5826bc69dcc1ec381cc6a955f6183438",
57 "AAA",
58 "ANation",
59 18,
60 0
61 ],
62 [
63 8453,
64 "0x53b83bb2e34b6b7331a8e05f6a0ebbee3145be9c",
65 "AAA",
66 "AAA",
67 18,
68 0
69 ],
70 [
71 8453,
72 "0xabc1e9a532e22fd41f5c22974f50e3b141b9f0ef",
73 "AAA",
74 "Arcadia Finance",
75 18,
76 0
77 ],
78 [
79 8453,
80 "0x6f511fe8ead9dad1d856171bbd8af7d30f8baf8f",
81 "AAA",
82 "Aiagent.app",
83 18,
84 0
85 ],
86 [
87 8453,
88 "0x03274961d473fa0bba49768d47dc7cc3fcca2969",
89 "AAA",
90 "TRIPLE A",
91 18,
92 0
93 ],
94 [
95 8453,
96 "0x1e95c00b02451de72c319f2fe1734c5f4c4d1f94",
97 "AAA",
98 "AAA BASE",
99 18,
100 0
101 ],
102 [
103 8453,
104 "0x0af265e2ada88a3936a409c5759e9da1fe916d8a",
105 "AAA",
106 "AAA",
107 18,
108 0
109 ]
110 ],
111 "rows": 10
112 }
113]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/tokens"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/tokens"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/tokens")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/tokens")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request